/*
 Template Portfolio Version 1 / 2023.07
 By Eng. Hanan Al-Slaiman
=================================

    |
    |__ PUBLIC STYLES
    |__ CUSTOM STYLES
    |__ HEADER PAGE STYLES  
    |    |__ NAVBAR STYLES
    |__ HOME  
    |__ ABOUT
    |__ COUNTERS
    |__ PROJECTS
    |__ CERTIFICATIONS
    |__ AWARDS
    |__ EXPERIENCE
    |__ SKILLS
    |__ TESTIMONIALS
    |__ CONTACT
    |__ FOOTER


*/

.bg-text {
    color: #24242438;
    font-size: 10rem;
    display: flex;
    justify-content: space-between;
    position: absolute;
    top: 40%;
    left: 0;
    right: 0;
    text-transform: uppercase;
    z-index: 3;
    text-align: center;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
}

.section {
    padding: 4rem 0;
}

.section-content {
    position: relative;
}

.section-title {
    text-align: center;
    font-size: 1.7rem;
    text-transform: uppercase;
    font-weight: 600;
    margin-bottom: 3rem;
}

.section-text {
    color: #707070;
}

@media (max-width: 996px) {

    .bg-text {
        font-size: 3rem;
        top: 295px;
        font-weight: bold;
    }
}



/***********************************************
************************************************
                Loading PAGE STYLES
************************************************
***********************************************/
.loading-wrapper {
    min-height: 100vh;
    width: 100vw;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #fff;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
}

.loader {
    width: 48px;
    height: 48px;
    border: 2px solid #000;
    border-radius: 50%;
    display: inline-block;
    position: relative;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

.loader::after {
    content: '';
    box-sizing: border-box;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: 3px solid;
    border-color: var(--main-dark-color) transparent;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/***********************************************
************************************************
                HEADER PAGE STYLES
************************************************
***********************************************/

.page-header {
    position: sticky;
    z-index: 999;
    top: 0;
}

.logo-img {
    width: 12rem;
    min-width: 10rem;
}

/***********************************************
                NAVBAR STYLES
***********************************************/
.navbar {
    position: relative;
    user-select: none;
}

.navbar-wrapper {
    background-color: #ffffff9a;
    padding: 0 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.navbar.sticky {
    position: sticky;
    position: -webkit-sticky;
    -webkit-position: sticky;
    -moz-position: sticky;
    -ms-position: sticky;
    -o-position: sticky;
    z-index: 999;
    top: 0;

    /* height: 100px; */
}

.nav-list {
    display: flex;
    justify-content: space-between;
    padding: 0 1rem 0 2rem;
}

.nav-item {
    padding: 1.3rem 1.3rem;
    font-size: 1.1rem;
    font-weight: 600;
    position: relative;
    transition: .3s;
    -webkit-transition: .3s;
    -moz-transition: .3s;
    -ms-transition: .3s;
    -o-transition: .3s;
}


.nav-item:hover {
    color: #3b3b3b;
}

.nav-item .nav-item-link::after {
    content: '';
    width: 0;
    height: .25rem;
    background-color: #3b3b3b;
    position: absolute;
    bottom: .7rem;
    left: 50%;
    transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -o-transform: translateX(-50%);
    border-radius: 2rem;
    -webkit-border-radius: 2rem;
    -moz-border-radius: 2rem;
    -ms-border-radius: 2rem;
    -o-border-radius: 2rem;
    transition: .3s;
    -webkit-transition: .3s;
    -moz-transition: .3s;
    -ms-transition: .3s;
    -o-transition: .3s;
}


.nav-item.active .nav-item-link::after,
.nav-item:hover .nav-item-link::after {
    width: 1.3rem;
}


.toggle-nav-list {
    /* padding: 1rem; */
    width: 3rem;
    height: 3rem;
    font-size: 1.2rem;
}

.nav-list-header {
    display: none;
}

@media (max-width: 996px) {
    .nav-list-wrapper {
        position: fixed;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background: #ffffffed;
        transform: translateX(110vw);
        -webkit-transform: translateX(110vw);
        -moz-transform: translateX(110vw);
        -ms-transform: translateX(110vw);
        -o-transform: translateX(110vw);
        transition: .4s;
        -webkit-transition: .4s;
        -moz-transition: .4s;
        -ms-transition: .4s;
        -o-transition: .4s;
    }

    .nav-list-wrapper.show {
        transform: translateX(0);
        -webkit-transform: translateX(0);
        -moz-transform: translateX(0);
        -ms-transform: translateX(0);
        -o-transform: translateX(0);
    }

    .nav-list-header {
        display: flex;
        padding: .5rem 2rem;
        justify-content: end;
        background-color: #ffffffce;
    }

    .nav-list {
        flex-direction: column;
        align-items: center;
        overflow: auto;
        max-height: 90vh;
    }

    .nav-item {
        /* padding: 1rem 1.5rem; */
    }


}

@media (min-width: 996px) {
    .toggle-nav-list {
        display: none;
    }
}


/***********************************************
************************************************
            HOME STYLES
************************************************
***********************************************/
.home-section {
    background-image: linear-gradient(var(--main-dark-color), #fff);
    min-height: 33rem;
    margin-top: -6rem;
    padding-top: 9rem;
    padding-bottom: 4rem;
    text-align: center;
}

.home-section .bg-text span {
    opacity: 0;
}

.home-section-content {
    position: relative;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.home-section .title {
    font-size: 3.5rem;
    font-weight: 500;
    letter-spacing: .2rem;
    text-transform: uppercase;
    line-height: 3rem;
}

.home-section .subtitle {
    font-size: 1.5rem;
    font-weight: 500;
    display: flex;
    justify-content: space-between;
    text-transform: uppercase;
}

.home-section .img-wrapper {
    width: 24rem;
    max-width: calc(100vw - 3rem);
    height: 24rem;
    border-radius: 50%;
    margin-bottom: 3rem;
    position: relative;
}

.home-section .img-wrapper .circle {
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    position: absolute;
    top: 0;
    left: 0;
    border: 0.15rem solid #fff;
}

.home-section .img-wrapper .circle-1 {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-color: #fff;
}

.home-section .img-wrapper .circle-2 {
    top: -1rem;
    left: -1rem;
    right: -1rem;
    bottom: -1rem;
    border-color: #000;
}

.home-section .img-wrapper .circle-3 {
    top: 1rem;
    left: 1rem;
    right: 1rem;
    bottom: 1rem;
    border-color: #000;
}

.home-section .img-wrapper img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
}

.home-section .social-list {
    margin-top: 1rem;
    /* position: absolute;
    bottom: 1rem;
    left: 0; */
}

@media (max-width: 996px) {
    .home-section .title {
        font-size: 2rem;
    }

    .home-section .subtitle {
        font-size: 1rem;
        letter-spacing: .2rem;
    }

    .home-section .img-wrapper {
        width: 20rem;
        height: 20rem;
    }
}

/***********************************************
************************************************
            ABOUT ME STYLES
************************************************
***********************************************/

.about-section .bg-text {
    color: #2424240a;
}



/***********************************************
************************************************
            COUNTERS STYLES
************************************************
***********************************************/

.counters {
    display: flex;
    justify-content: space-between;
}

.counter-item {
    text-align: center;
}

.counter-item:nth-child(2n+1) {
    margin-top: 3rem;
}

.counter-item .count {
    color: var(--main-dark-color);
    font-size: 4rem;
    font-weight: bold;
}

.counter-item .title {
    font-size: 1.5rem;
    font-weight: 600;
    text-transform: uppercase;
}


@media (max-width: 996px) {
    .counters {
        flex-wrap: wrap;
    }

    .counter-item {
        margin-top: 1rem !important;
        flex: 0 0 48%;
    }
}

/***********************************************
************************************************
            PROJECTS STYLES
************************************************
***********************************************/

.projects-section {
    background-image: var(--bg-gradient-grey);
}

.project-item {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
    overflow: hidden;
    padding-bottom: 1rem;
}

.project-img-wrapper {
    width: 25rem;
    height: 25rem;
    max-width: 100%;
    background: #000;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    overflow: hidden;
    border: .3rem solid var(--main-dark-color);
    transition: .3s;
}

.project-item-text {
    background-color: var(--main-dark-color);
    width: 85%;
    margin: auto;
    text-align: center;
    text-transform: uppercase;
    transition: .3s;
    -webkit-transition: .3s;
    -moz-transition: .3s;
    -ms-transition: .3s;
    -o-transition: .3s;
    padding: 1rem;
    transform: translateY(-2rem);
    -webkit-transform: translateY(-2rem);
    -moz-transform: translateY(-2rem);
    -ms-transform: translateY(-2rem);
    -o-transform: translateY(-2rem);
}

.project-item-text .title {
    font-weight: 400;
    /* padding: .2rem 0; */
}

.project-item-text .title-bottom {
    font-size: .8rem;
}

.project-item-text .desc {
    display: none;
    /* height: 0; */
}

.project-item:hover .project-item-text {
    transform: translateY(-100%);
    -webkit-transform: translateY(-100%);
    -moz-transform: translateY(-100%);
    -ms-transform: translateY(-100%);
    -o-transform: translateY(-100%);
    transition: .3s;
    /* background: var(--main-dark-opacity-color); */
    background: #00000096;
    color: #fff;
    height: auto;
}


.project-item:hover .project-img-wrapper {
    border-color: #000;
}


@media (max-width: 996px) {
    .project-img-wrapper {
        width: 20rem;
        height: 20rem;
    }
}


/* .col-md-4:nth-child(2n) .project-img-wrapper {
    width: 24rem;
    height: 24rem;
}

.col-md-4:nth-child(2n) .project-item-text {
    width: 21rem;
}

.col-md-4:nth-child(2n) .project-item-text .title {
    font-size: 1.1rem;
} */


.project-item:hover img {
    /* transform: scale(1.5);
    -webkit-transform: scale(1.5);
    -moz-transform: scale(1.5);
    -ms-transform: scale(1.5);
    -o-transform: scale(1.5);
    transition: .3s ease-in-out;
    -webkit-transition: .3s ease-in-out;
    -moz-transition: .3s ease-in-out;
    -ms-transition: .3s ease-in-out;
    -o-transition: .3s ease-in-out; */
}

/***********************************************
************************************************
            CERTIFICATES STYLES
************************************************
***********************************************/

.certificate-item {
    display: flex;
    gap: 1.5rem;
    margin-bottom: 2.5rem;
}

.certificate-item-img {
    width: 5rem;
    height: 5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #000;
}

.certificate-item .title {
    position: relative;
}

.certificate-item .title::after {
    content: '';
    display: block;
    width: 5rem;
    height: .25rem;
    background: var(--main-dark-color);
    margin-bottom: .2rem;
    margin-top: .2rem;
}

.certificate-item .desc {
    /* margin-bottom: -0.2rem; */
}

.certificate-item .date {
    font-size: .9rem;
    color: #6e6e6e;
}


/***********************************************
************************************************
            AWARDS STYLES
************************************************
***********************************************/

.awards-section {
    background-image: var(--bg-gradient-main);
    padding-bottom: 10rem;
}

.award-items {
    display: flex;
    flex-wrap: wrap;
}

.award-item {
    text-align: center;
    position: relative;
    height: 100%;
    flex: 0 0 33%;
    padding: 0 1rem;
    border-bottom: 1px solid #fff;
    padding-bottom: 4rem;
}

.award-item-icon {
    margin-bottom: 2rem;
}

.award-item-icon i {
    font-size: 4.2rem;
    color: #fff;
}

.award-item-text .title {
    font-size: 1.3rem;
}

.award-item .date {
    font-size: .9rem;
    color: #6e6e6e;
}

.award-item.active .award-item-icon i {
    font-size: 6rem;
}

.award-item::before {
    content: '';
    z-index: 5;
    display: block;
    height: .1rem;
    background-color: #c9c9c9;
    margin-top: 1rem;
    position: absolute;
    bottom: 0;
    right: 50%;
    width: 1.2rem;
    height: 1.2rem;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    transform: translateX(50%) translateY(50%);
    -webkit-transform: translateX(50%) translateY(50%);
    -moz-transform: translateX(50%) translateY(50%);
    -ms-transform: translateX(50%) translateY(50%);
    -o-transform: translateX(50%) translateY(50%);
}


@media (max-width: 996px) {
    .awards-section {
        padding-bottom: 4rem;
    }

    .award-items {
        display: flex;
        flex-direction: column;
    }

    .award-item {
        border: none;
        border-left: 1px solid #fff;
    }

    .award-item::before {
        bottom: auto;
        right: auto;
        left: -1.2rem;
        top: 0;
        background-color: #4a4a4a;
    }
}



/***********************************************
************************************************
            EXPERIENCE STYLES
************************************************
***********************************************/

.experience-section .section-content {
    position: relative;
    min-height: 2rem;
    border-left: .3rem solid #cccccc;
    margin-bottom: 2rem;
}

.experience-item {
    padding: 2rem 0 1rem;
    padding-inline-start: 2.5rem;
    position: relative;
}

.experience-item:last-child {
    padding-bottom: .5rem;
}

.experience-item::before {
    content: '';
    display: block;
    width: .4rem;
    height: .4rem;
    background-color: #cccccc;
    padding-inline-start: 1rem;
    position: absolute;
    left: 0;
    top: 2.7rem;
}


.experience-item .date-range {
    font-weight: bold;
}

.experience-item-head {
    display: flex;
    gap: 1.6rem;
    margin-bottom: 2rem;
}

.experience-item-head .title {
    font-size: 1.2rem;
    line-height: 1.3rem;
    margin-bottom: .3rem;
}

.experience-item-head .title-bottom {
    font-size: .95rem;
    display: flex;
    gap: 1rem;
}

.experience-item img {
    width: 3rem;
    height: 3rem;
    object-fit: contain;
}

.experience-item-roles {
    position: relative;
}


.experience-item-roles .role {
    padding-inline-start: 4.6rem;
    padding-bottom: 1.5rem;
    position: relative;
}

.experience-item-roles .role::before {
    content: '';
    display: block;
    width: .5rem;
    height: .5rem;
    border: .5rem solid #fff;
    background-color: #ddd;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    position: absolute;
    left: .9rem;
    top: .3rem;
    z-index: 5;
}

.experience-item-roles .role:not(:last-child)::after {
    content: '';
    display: block;
    width: .1rem;
    height: 100%;
    border: .1rem solid #fff;
    background-color: #ddd;
    position: absolute;
    left: 1.5rem;
    top: .7rem;
    z-index: 1;
}

.experience-item-roles .role .name {
    font-size: 1.1rem;
    height: 1.6rem;
}

.experience-item-roles .role .desc {
    font-size: .95rem;
    color: #838383;
}


@media (max-width: 996px) {
    .experience-item-head {
        margin-top: 2rem;
    }
}

/***********************************************
************************************************
            SKILLS STYLES
************************************************
***********************************************/

.skills-section {
    background-image: var(--bg-gradient-grey);
}

.skill-item {
    text-align: center;
}

.skill-item img {
    margin-bottom: 1.5rem;
    max-width: 35%;
    width: 35%;
}

.skill-item .title {
    font-size: 1.2rem;
    margin-bottom: .4rem;
}


@media (max-width: 996px) {
    .skill-item {
        margin-bottom: 3rem;
    }
}

/***********************************************
************************************************
            CONTACT STYLES
************************************************
***********************************************/

.testimonial-item {}

.testimonial-item-text {
    padding: 2rem;
    background-color: #f3f3f3;
    border-radius: 1rem;
    -webkit-border-radius: 1rem;
    -moz-border-radius: 1rem;
    -ms-border-radius: 1rem;
    -o-border-radius: 1rem;
    position: relative;
}

.testimonial-item-text i:first-of-type {
    color: var(--main-dark-opacity-color);
    font-size: 3rem;
    margin-inline-end: 1rem;
}

.testimonial-item-text i:last-of-type {
    color: var(--main-dark-opacity-color);
    margin-inline-start: 1rem;
}


.testimonial-item-text::after {
    content: '';
    display: block;
    border: 1rem solid transparent;
    position: absolute;
    bottom: -1rem;
    left: 2rem;
    border-left-color: #f3f3f3;
    border-top-color: #f3f3f3;
}

.testimonial-item-owner {
    display: flex;
    gap: 1rem;
    margin: 1.5rem 0;
}

.testimonial-item-owner .name {
    font-size: 1.2rem;
}

.testimonial-item-owner .position {
    font-size: .9rem;
    color: #868686;
}

.testimonial-item img {
    width: 4rem;
    height: 4rem;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
}

/***********************************************
************************************************
            CONTACT STYLES
************************************************
***********************************************/

.form-contact {
    background-color: #f5f5f5;
    padding: 2rem 1.5rem;
}

.field-item {
    margin-bottom: 1.5rem;
}

.field-item label {
    display: flex;
    gap: .5rem;
    align-items: center;
    margin-bottom: .3rem;
}

.field-item label::before {
    content: '';
    display: block;
    width: .4rem;
    height: 1.5rem;
    background-color: var(--main-dark-color);
}

.field-item .field-input {
    width: 100%;
    padding: .2rem .7rem;
    border: none;
    border-radius: .2rem;
    -webkit-border-radius: .2rem;
    -moz-border-radius: .2rem;
    -ms-border-radius: .2rem;
    -o-border-radius: .2rem;
}

.contact-list {
    list-style: none;
    margin: 1rem 0;
    margin-top: 3rem;
}

.contact-list i {
    width: 3rem;
    font-size: 1.2rem;
}

.contact-list li {
    margin: 1rem 0;
}


@media (max-width: 996px) {
    .contact-desc {
        padding-top: 2rem;
    }
}

/***********************************************
************************************************
         PAGE FOOTER STYLES
************************************************
***********************************************/
.page-footer {
    color: #000;
    background: linear-gradient(#fff, var(--main-dark-color));
    padding: 3rem 0;
    text-align: center;
}

.footer-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

@media (max-width: 996px) {
    .footer-wrapper {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .text-wrapper {
        order: 2;
    }

    .social-list-wrapper {
        order: 1;
        margin: 1.5rem 0;
    }
}


/***********************************************
************************************************
         SOCIAL LIST STYLES
************************************************
***********************************************/
.social-list {
    display: flex;
    gap: .7rem;
    list-style: none;
}

.social-item i {
    width: 2rem;
    height: 2rem;
    line-height: 2rem;
    text-align: center;
    background-color: #000;
    color: #fff;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    display: inline-block;
}

/***********************************************
************************************************
        PAGE TITLE
************************************************
***********************************************/

.page-title {
    background-image: linear-gradient(var(--main-dark-color), #fff);
    padding: 10rem 0 4rem;
    text-align: center;
    margin-top: -6rem;
}


.item-details {
    min-height: 300px;
}

.item-details img {
    width: 350px;
    max-height: 500px;
    object-position: 0 0;
    overflow: hidden;
    margin: 0 15px 15px 0;
    border: 1px solid var(--main-dark-color);
    border-radius: 5px;
    border-top-width: 4px;
}

@media (min-width: 996px) {

    .item-details .main-img {
        float: left;
    }
}